package com.atguigu.ssyx.user.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 会员提货记录表
 * </p>
 *
 * @author bunny
 * @since 2024-04-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class UserDelivery implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
      @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 会员ID
     */
    private String userId;

    /**
     * 团长id
     */
    private Long leaderId;

    /**
     * 仓库id
     */
    private Long wareId;

    /**
     * 是否默认
     */
    private String isDefault;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 删除标记（0:不可用 1:可用）
     */
    private Integer isDeleted;


}
